All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.storage.olap
Interface MeasureInterface

All Superinterfaces:
  MetadataEntityInterface

All Known Implementing Classes:
  Measure

    @SASScope(value="ALL")
    public interface MeasureInterface

extends MetadataEntityInterface

Represents a measure in a multidimensional cube. The measure is a bottom level element that is surfaced by the OLAP metadata interfaces. It contains the core information about the measures defined in the cube. The same measures are also considered members and may appear as generic members in a Measures dimension; however, the useful information that is particular to measures can be found in this interface. In addition to the basic information about the measure itself, the parent and child interfaces can also be retrieved directly from the MeasureInterface. The getCube() method returns the CubeInterface which parents this measure. Since the measure represents a bottom level element there are no child interfaces available. The measure may also be bound to an instance of the MetadataInterface, which is accessible from the getMetadata() method.

See Also:
  `MetadataInterface`, `CubeInterface`

Field Summary
`static int` | `AGGREGATOR_AVG` The name of the aggregator whose type is average, as well as the return value for the getAggregator method.
`static int` | `AGGREGATOR_CALCULATED` The name of the aggregator whose type is calculated, as well as the return value for the getAggregator method.
`static int` | `AGGREGATOR_COUNT` The name of the aggregator whose type is count, as well as the return value for the getAggregator method.
`static int` | `AGGREGATOR_MAX` The name of the aggregator whose type is maximum, as well as the return value for the getAggregator method.
`static int` | `AGGREGATOR_MIN` The name of the aggregator whose type is minimum, as well as the return value for the getAggregator method.
`static int` | `AGGREGATOR_STD` The name of the aggregator whose type is standard deviation, as well as the return value for the getAggregator method.
`static int` | `AGGREGATOR_SUM` The name of the aggregator whose type is sum, as well as the return value for the getAggregator method.
`static int` | `AGGREGATOR_UNKNOWN` The name of the aggregator whose type is unknown, as well as the return value for the getAggregator method.
`static int` | `AGGREGATOR_VAR` The name of the aggregator whose type is variance, as well as the return value for the getAggregator method.

Method Summary
`abstract int` | `getAggregator()` Returns the aggregator of the measure.
`abstract CubeInterface` | `getCube()` Returns the name of the cube to which the measure belongs.
`abstract java.lang.Class` | `getDataType()` Returns the data type of the measure.
`abstract Filter` | `getFilter()` Returns a copy of the Filter object that was used to obtain this MeasureInterface.
`abstract java.lang.String` | `getUnit()` Returns the format name for this measure.

Methods inherited from interface com.sas.storage.olap.MetadataEntityInterface
`getCreationDateTime, getDescription, getLabel, getMetadata, getName, getUniqueName, getUpdateDateTime`

Field Detail

### AGGREGATOR_SUM

    static final int AGGREGATOR_SUM

  The name of the aggregator whose type is sum, as well as the return value for the getAggregator method.

  See Also:
    Constant Field Values

### AGGREGATOR_COUNT

    static final int AGGREGATOR_COUNT

  The name of the aggregator whose type is count, as well as the return value for the getAggregator method.

  See Also:
    Constant Field Values

### AGGREGATOR_MAX

    static final int AGGREGATOR_MAX

  The name of the aggregator whose type is maximum, as well as the return value for the getAggregator method.

  See Also:
    Constant Field Values

### AGGREGATOR_MIN

    static final int AGGREGATOR_MIN

  The name of the aggregator whose type is minimum, as well as the return value for the getAggregator method.

  See Also:
    Constant Field Values

### AGGREGATOR_AVG

    static final int AGGREGATOR_AVG

  The name of the aggregator whose type is average, as well as the return value for the getAggregator method.

  See Also:
    Constant Field Values

### AGGREGATOR_VAR

    static final int AGGREGATOR_VAR

  The name of the aggregator whose type is variance, as well as the return value for the getAggregator method.

  See Also:
    Constant Field Values

### AGGREGATOR_STD

    static final int AGGREGATOR_STD

  The name of the aggregator whose type is standard deviation, as well as the return value for the getAggregator method.

  See Also:
    Constant Field Values

### AGGREGATOR_CALCULATED

    static final int AGGREGATOR_CALCULATED

  The name of the aggregator whose type is calculated, as well as the return value for the getAggregator method. The measure was derived from a formula that was not any single function above.

  See Also:
    Constant Field Values

### AGGREGATOR_UNKNOWN

    static final int AGGREGATOR_UNKNOWN

  The name of the aggregator whose type is unknown, as well as the return value for the getAggregator method.

  See Also:
    Constant Field Values

Method Detail

### getCube

    CubeInterface getCube()
                          throws OLAPException

  Returns the name of the cube to which the measure belongs.

  Returns:
    The name of the cube to which the measure belongs.
  Throws:
    `OLAPException` - if a database error occurs

### getDataType

    java.lang.Class getDataType()
                                throws OLAPException

  Returns the data type of the measure.

  Returns:
    The name of the data type of the measure.
  Throws:
    `OLAPException` - if a database error occurs

### getAggregator

    int getAggregator()
                      throws OLAPException

  Returns the aggregator of the measure. Determines how the measure was derived.

  Returns:
    How the measure was derived.
  Throws:
    `OLAPException` - if a database error occurs

### getUnit

    java.lang.String getUnit()
                             throws OLAPException

  Returns the format name for this measure.

  Returns:
    The format name for this measure.e.g. DOLLAR
  Throws:
    `OLAPException` - if a database error occurs

### getFilter

    Filter getFilter()
                     throws OLAPException

  Returns a copy of the Filter object that was used to obtain this MeasureInterface. The filter object may be applied explicitly via the MetadataInterface, or it may be created implicitly via a getMeasures() method.

  Returns:
    A copy of the Filter object that was used to obtain this MeasureInterface
  Throws:
    `OLAPException` - if a database error occurs

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.